Skip to main content
GET
/
public
/
v1
/
customers
List customers
curl --request GET \
  --url https://api.dualentry.com/public/v1/customers/ \
  --header 'X-API-KEY: <api-key>'
{
  "items": [
    {
      "id": 123,
      "full_address": {
        "street": "<string>",
        "city": "<string>",
        "postal_code": "<string>",
        "state": "",
        "country": "",
        "second_line": "",
        "name": "<string>"
      },
      "shipping_address": {
        "street": "<string>",
        "city": "<string>",
        "postal_code": "<string>",
        "state": "",
        "country": "",
        "second_line": "",
        "name": "<string>"
      },
      "name": "<string>",
      "unique_id": "<string>",
      "email": "<string>",
      "website": "<string>",
      "customer_type": "<string>",
      "is_active": true,
      "phone": "<string>",
      "custom_fields": [],
      "created_by": {
        "actor_type": "<string>",
        "email": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "updated_by": {
        "actor_type": "<string>",
        "email": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "approval_status": "<string>",
      "next_approvers": [
        {
          "id": 123,
          "first_name": "<string>",
          "last_name": "<string>",
          "email": "<string>",
          "full_name": "<string>",
          "avatar_url": "<string>"
        }
      ],
      "rejected_by": {
        "id": 123,
        "first_name": "<string>",
        "last_name": "<string>",
        "email": "<string>",
        "full_name": "<string>",
        "rejection_reason": "<string>"
      }
    }
  ],
  "count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.dualentry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Query Parameters

search
string | null
id
integer[] | null
company_id
integer[] | null
customer_type
string[] | null
name
string | null
unique_id
string | null
email
string | null
website
string | null
address
string | null
country
string | null
state
string | null
phone
string | null
record_status
enum<string>[] | null
Available options:
draft,
posted,
archived
approval_status
string[] | null
ordering
string | null
default:-updated_at
limit
integer
default:100

Number of records to return per page (capped at 100)

Required range: x >= 1
offset
integer
default:0

Number of records to skip before starting to return results

Required range: x >= 0

Response

OK

items
CustomerListSchemaOut · object[]
required
count
integer
required
Last modified on May 28, 2026